Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Portato - A Portage GUI
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... , 18, 19, 20  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Shingoshi
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jan 2007
Posts: 128
Location: Salem, Oregon USA

PostPosted: Sun Mar 01, 2009 7:40 am    Post subject: Necoro, I'm glad to see you're still here!! Reply with quote

I've really missed working on this project, and I hope I will be back soon. I have a few things to sort out before I get to do that. But just wanted to say how pleased I am that you're still working on Portato.

Xavian-Anderson Macpherson
Shingoshi
_________________
The immediate equalization of all knowledge among all beings.
Xneutato - The Cluster-Distributed Package Development and Management Framework
http://portato.origo.ethz.ch/forum/23
Shingoshi's User Styles for Firefox
http://userstyles.org/users/3665
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Sun Mar 08, 2009 8:27 pm    Post subject: Portato 0.12 Reply with quote

Ladies and Gentlemen - here it is: Portato 0.12.1

These are the changes:

  • NEW: can use an SQLite DB as internal database
  • NEW: sort by useflags in dependency list
  • NEW: make uselist and deplist lazy - i.e. load only if needed
  • NEW: remembers the height and width of the preference window
  • NEW: check prerequisites before starting
  • NEW: add color buttons to the preferences, so the colors can be changed
  • I18N: added Spanish translation (thx to Daniel Halens)
  • CHANGE: reorganize preferences
  • CHANGE: improvements in session handling
  • CHANGE: move from libglade to GtkBuilder
  • FIX: fixed searching
  • FIX: bugs fixed: #44, #41, #15, #47 and several others


Check it out :)

/edit: Note the upgrade to 0.12.1
_________________
Inter Deum Et Diabolum Semper Musica Est.


Last edited by Necoro on Mon Mar 09, 2009 9:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
Phobos666
Tux's lil' helper
Tux's lil' helper


Joined: 11 Feb 2006
Posts: 76
Location: Germany

PostPosted: Mon Mar 09, 2009 6:47 pm    Post subject: Reply with quote

Thanks for the latest version

When I try to open it, I'll get the following:

Code:
kdesu(700) startApp: Don't need password!!
* Setting Portage System (__init__.py:56)
* Using portage-2.2 (__init__.py:21)
* Starting Portato v. 0.12 (portato:50)
* All prereqs matched. Fine :) (main.py:1905)
* Loading 'DB' session from /root/.portato/db.cfg. (session.py:71)
* Loading [('version', 'session')] with values ['1']. (session.py:116)
* Using SQLDatabase (__init__.py:36)
* package.db already existant (sql.py:57)
* Walking /usr/local/portage/layman/portato (sql.py:99)
* Walking /usr/local/portage/layman/berkano (sql.py:99)
* Walking /usr/local/portage/layman/techwolf (sql.py:99)
* Walking /usr/local/portage/layman/enlightenment (sql.py:99)
* Walking /usr/local/portage/layman/devnull (sql.py:99)
* Walking /usr/local/portage (sql.py:99)
* Walking /usr/portage-rechenwerk (sql.py:99)
* portdirs.db already existant (sql.py:129)
* Plugin 'EtcProposals' loaded.  (plugin.py:372)
* Plugin 'ReloadPortage' loaded.  (plugin.py:372)
* Plugin 'GPytage' loaded. Plugin has unresolved dependencies - disabled! (plugin.py:372)
* Plugin 'Notify' loaded. Plugin is disabled! (plugin.py:372)
* Category 'ALL' can't be split up. Should be no harm. (main.py:692)
* Category 'virtual' can't be split up. Should be no harm. (main.py:692)
* Loading 'GUI' session from /root/.portato/gui.cfg. (session.py:71)
* Loading [('version', 'session')] with values ['1']. (session.py:116)
* Loading [('gtksessionversion', 'session')] with values ['4']. (session.py:116)
* Loading [('width', 'GUI'), ('height', 'GUI')] with values ['1280', '987']. (session.py:116)
* Loading [('vpanedpos', 'GUI'), ('hpanedpos', 'GUI')] with values ['415', '480']. (session.py:116)
* Loading [('catsel', 'GUI')] with values ['net-irc@0']. (session.py:116)
* First part of cat path does not match. Searching... (main.py:1241)
* Second part of cat path does not match. Searching... (main.py:1249)
* Selecting cat path '12:7'. Value: 'irc' (main.py:1257)
* Loading [('pkgsel', 'GUI')] with values ['quassel@934']. (session.py:116)
* Exception:
Traceback (most recent call last):
  File "/usr/bin/portato", line 94, in <module>
    main()
  File "/usr/bin/portato", line 58, in main
    run()
  File "/usr/lib64/python2.5/site-packages/portato/gui/__init__.py", line 29, in run
    m = MainWindow(s)
  File "//usr/lib64/python2.5/site-packages/portato/gui/windows/main.py", line 588, in __init__
    self.load_session()
  File "//usr/lib64/python2.5/site-packages/portato/gui/windows/main.py", line 1176, in load_session
    self.session.load(defaults_only)
  File "/usr/lib64/python2.5/site-packages/portato/session.py", line 117, in load
    lfn(*loaded)
  File "//usr/lib64/python2.5/site-packages/portato/gui/windows/main.py", line 1062, in load_pkg_selection
    self.jump_to_pkg(name, pos)
  File "//usr/lib64/python2.5/site-packages/portato/gui/windows/main.py", line 1203, in jump_to_pkg
    if model[pos][col] != name: # need to search :(
IndexError: could not find tree path

Portato version: 0.12
System: Gentoo
Python version: 2.5.4 (r254:67916, Feb 25 2009, 17:05:17)
[GCC 4.3.3]
Used backend: Portage 2.2_rc23-r2
pygtk: 2.14.0 (using GTK+: 2.14.7)
pygobject: 2.16.1 (using GLib: 2.18.4) (exception_handling.py:128)
* Listener received: ['close'] (plistener.py:51)
Exception <unknown>error: "can't access shared memory segment" in <bound method SharedMemoryHandle.__del__ of <shm_wrapper.SharedMemoryHandle object at 0x4594e50>> ignored
* Subprocess finished (portato:85)
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Mon Mar 09, 2009 7:52 pm    Post subject: Reply with quote

In /root/.portato/gui.cfg - delete the catsel and pkgsel lines.

/edit: Now I found the reason for the bug ... so I'll have to release 0.12.1 in a few minutes ...
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
flacvest
Apprentice
Apprentice


Joined: 04 Jun 2008
Posts: 152
Location: San Jose, CA USA

PostPosted: Thu Apr 30, 2009 2:05 pm    Post subject: Portato won't work with Python 2.6 will it?? Reply with quote

Hi, I got Python 2.6 pulled in by an emerge -avDN world ... Now no Portato... I really could use the training wheels!! *sigh* is there (1) any chance that Portato will work with Python 2.6 or (2) more realistically... a safe and sane way to downgrade to Python 2.5 without ripping the guts out of my system??

I appreciate ANY assistance you could render. BTW Portato is sweet. I used to use Porthole but Portato is way better (I just dug Porthole's Icon!! oh well)...

Thanks!
_________________
.:{flacvest}:.
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2559
Location: Richmond, BC, Canada

PostPosted: Fri May 01, 2009 3:46 am    Post subject: Reply with quote

I can't speak for Necoro and portato, but porthole mostly works with python-2.6. Mostly what I've found not working reliably is the preferences. I think it is pyxml that does not work properly with it. I need to re-code it to not depend on pyxml, and use only the python built-in methods. If your stuck and don't mind the preferences settings going whacky at times. Porthole will work until Necoro can update portato's code.

I know from looking at portatoes code he was using some "future" feature methods that will/should need some slight code modifications to work with python-2.6. At least that is what I got from skimming over some of the python-2.6 changes guide the other day.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Fri May 01, 2009 10:40 am    Post subject: Reply with quote

Portato works well and w/o any changes with python-2.6. See also bug 267182. I am waiting to get it committed
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Wed Aug 26, 2009 11:55 am    Post subject: Portato 0.13 Reply with quote

YAY :) - a new Portato release: 0.13

The changes are:

  • NEW: allow lines w/o keyword in package.keywords
  • NEW: added support for ktsuss as su-frontend (note: ktsuss does not reset the environment properly. the home directory of the user instead of root is used)
  • NEW: added man-page
  • NEW: honor EAPI-masking
  • NEW: overhaul plugin system (again): now allow plugins to add widgets
  • CHANGE: remove the deprecated -L cmdline option: use -F instead
  • CHANGE: move some UI-Elements to extra plugins
  • CHANGE: do not allow ":" to be an assignment operator in config files anymore. only "=" is allowed now.
  • I18N: pt_BR translation - thanks to Alberto Federman Neto


Currently this new release is not yet part of the portage tree. But I think this will change soon :)
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1705
Location: Heidelberg - Germany

PostPosted: Wed Sep 02, 2009 8:00 pm    Post subject: Reply with quote

Unfortunaltly I have the same issue: "Listener has not been started" appear while starting portato. I checked the portato.cfg for the {MAIN} section, it does not seem to be the problem. Any ideas? This error come after a world update some weeks in the past. Even the upgrade to the new version recently did not fix it. I am using portage ..
_________________
Desktop Phenom II X4 8GB RAM, Asus GF 430 fanless. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000.
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Wed Sep 02, 2009 8:27 pm    Post subject: Reply with quote

The listener is not being started, either if portato is launched as root or portato is launched with the "--no-fork/-F" option. (If you installed portato using the 'userpriv' useflag, this option is set in the menu-entry)

But anyways: The listener's task is to run stuff in the user's context (e.g. launching webbrowser, displaying notifications). If this runs fine :) - be happy and ignore the warning.
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1705
Location: Heidelberg - Germany

PostPosted: Wed Sep 02, 2009 8:57 pm    Post subject: Reply with quote

I started it now as a user an get this:

Code:

Exception:
Traceback (most recent call last):
  File "/usr/bin/portato", line 20, in <module>
    start()
  File "/usr/lib64/python2.6/site-packages/portato/__init__.py", line 84, in start
    run()
  File "/usr/lib64/python2.6/site-packages/portato/gui/__init__.py", line 27, in run
    from .windows.main import MainWindow
  File "/usr/lib64/python2.6/site-packages/portato/gui/windows/main.py", line 44, in <module>
    from ..views import LogView, LazyStoreView
  File "/usr/lib64/python2.6/site-packages/portato/gui/views.py", line 17, in <module>
    import gtksourceview2
ImportError: No module named gtksourceview2


-> Portato does not start at all
_________________
Desktop Phenom II X4 8GB RAM, Asus GF 430 fanless. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000.
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Wed Sep 02, 2009 9:12 pm    Post subject: Reply with quote

Is pygtksourceview installed? And if yes: do you have run python-updater after updating to python:2.6?
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
amair
n00b
n00b


Joined: 12 Aug 2003
Posts: 39

PostPosted: Thu Sep 03, 2009 8:42 am    Post subject: No LC_ALL=de_DE? Reply with quote

Hi,

portato 0.13 core dumps when running using "LC_ALL=de_DE":
Code:
* Setting Portage System (__init__.py:56)
* Using portage-2.1 (__init__.py:25)
* Starte Portato v. 0.13 (__init__.py:76)
* Listener wurde nicht gestartet. (listener.py:94)
* All prereqs matched. Fine :) (main.py:1786)
/usr/lib/python2.6/site-packages/portato/gui/windows/basic.py:73: GtkWarning: Invalid input string
  self._builder.add_from_file(os.path.join(TEMPLATE_DIR, self.__file__+".ui"))
Speicherzugriffsfehler


If I use "LC_ALL=en_US" portate runs fine.

Kind regards,
Andreas
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Thu Sep 03, 2009 10:18 am    Post subject: Reply with quote

Strange error ... I can reproduce it. And to make this even odder: With LC_ALL=de_DE.UTF-8 it runs fine too.

/edit: Ok - the problem seems to be related to the German translation. If I replace all umlauts by their long equivalent (ß -> ss, ä -> ae ...), it works fine. Strangely enough, this really only happens with the de locale.
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Thu Sep 03, 2009 2:16 pm    Post subject: Reply with quote

Seems to be a bug in either pygobject, gtk+ or pygtk. (Or something is completely wrong with the de.po file, which I do not assume). The problem is passing non-UTF-8 text to g_markup_text_escape (cf. http://bugzilla.gnome.org/show_bug.cgi?id=511096 )

/edit: Portato reference bug -> http://portato.origo.ethz.ch/issues/55
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Erdie
Veteran
Veteran


Joined: 20 May 2004
Posts: 1705
Location: Heidelberg - Germany

PostPosted: Thu Sep 03, 2009 4:08 pm    Post subject: Reply with quote

Necoro wrote:
Is pygtksourceview installed? And if yes: do you have run python-updater after updating to python:2.6?


Yes, both is true :( - no change
_________________
Desktop Phenom II X4 8GB RAM, Asus GF 430 fanless. Sound RME Multiface + PCI + Cardbus, 2x RME Quadmic, 1x Behringer ADA8000.
2x IBM Thinkpad T60
Zotag Mag Mini Atom
Raspberry Pi
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Thu Sep 03, 2009 5:21 pm    Post subject: Re: No LC_ALL=de_DE? Reply with quote

amair wrote:
Hi,

portato 0.13 core dumps when running using "LC_ALL=de_DE"

Ok - I _should_ have found a fix (or better workaround). If you want, you can either try the 9999-ebuild or create a local branch of the 0.13 version and try there:
Code:
bzr branch lp:portato/0.13 portato-0.13
cd portato-0.13
LC_ALL=de_DE ./portato.py


Regards
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Fri Oct 23, 2009 10:51 pm    Post subject: Bzr -> Git Reply with quote

Just a short note, that I changed from Bzr to Git as SCM system. Thus the repositories including the overlay moved from launchpad to github, though the trunk/master is still mirrored at launchpad, who provide a git-import.

So you'll find the code now here:
- http://github.com/Necoro/portato
- http://github.com/Necoro/portato-overlay
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
amost
n00b
n00b


Joined: 04 Mar 2008
Posts: 7
Location: München, Germany

PostPosted: Tue Oct 27, 2009 7:50 pm    Post subject: Reply with quote

Hi Necoro,

great work. I like portato.

But now, I have found a problem with the 0.13 version.
When trying to emerge a masked package portato complains:

No such file or directory: etc/portage/package.unmask

Seems I have to run portato in the root directory ;-)
This has been working fine in portato-0.12.1

I am not quite sure, where to file a bug. Would Gentoo Bugzilla be appropriate?

Andreas.
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Tue Oct 27, 2009 11:45 pm    Post subject: Reply with quote

Hey,

ok - I fixed a similar error for 0.13 some time ago -- but only for portage-2.2. Now it seems, that the latest portage-2.1 version (2.1.7.1) also changed the way they store the path.

So thanks for telling me :). I also noticed, that I probably should raise an Exception there instead of a friendly dialog :)

Anyways: Currently you have three possible choices:

- use the portato live version
- downgrade portage to 2.1.6.x
- wait until a portato bugfix release is out. Should happen this weekend :)
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2559
Location: Richmond, BC, Canada

PostPosted: Wed Oct 28, 2009 6:37 am    Post subject: Reply with quote

Yeah, they changed it awhile back. Just in case you didn't know, the portage-2.1.7 series code is portage-2.2 without sets support and @preserved-rebuild.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
amost
n00b
n00b


Joined: 04 Mar 2008
Posts: 7
Location: München, Germany

PostPosted: Wed Oct 28, 2009 9:25 am    Post subject: Reply with quote

Necoro wrote:
...
Anyways: Currently you have three possible choices:

- use the portato live version
- downgrade portage to 2.1.6.x
- wait until a portato bugfix release is out. Should happen this weekend :)


I can wait for the bugfix and use emerge, equery and the lot, meanwhile...
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Wed Oct 28, 2009 9:34 am    Post subject: Reply with quote

dol-sen wrote:
Yeah, they changed it awhile back. Just in case you didn't know, the portage-2.1.7 series code is portage-2.2 without sets support and @preserved-rebuild.

Gnah ... is there some announcement somewhere? ... Or do you have to be at the right place/irc-channel at the right time to get to know such stuff?

Thanks for telling me :).
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2559
Location: Richmond, BC, Canada

PostPosted: Wed Oct 28, 2009 3:05 pm    Post subject: Reply with quote

I've been lurking on #gentoo-portage. I leave it on all the time so I can catch when something will affect porthole.

Side note. I'm working on some changes to gentoolkit code so it can return data for a plugin instead of spitting out to the terminal. Interested? :wink:
I'm hanging out @ #gentoo-guis again also.
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
r3tep
Tux's lil' helper
Tux's lil' helper


Joined: 10 Sep 2005
Posts: 108

PostPosted: Sat Dec 12, 2009 4:30 pm    Post subject: Reply with quote

This day I was bored, so I installed portato on my system.

Because it doesn't fit my needs, I unmerged it, did a deepclean and checked my system via emerge --update world -NDp. But I got this error:
Code:

!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
app-portage/portato


I did, what there was written:
Code:

emaint --check world
Checking world for problems                               
100% [========================================================================>]

'app-portage/portato' is not installed


Finished


'Portato is not installed' - yes, it is. And I do not want to use it at the moment anymore. I checked my world-file; it is not corrupted.
So, I did a slocate -u and then a locate portato. I deleted the dir in /root/.portato. Then, I synced my tree via emerge -s.

emerge --update world -NDq says the same as above, but some updates came in:

Code:
# emerge --update world -NDpvt

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R   ] app-text/docbook-sgml-utils-0.6.14  USE="jadetex*" 0 kB
[ebuild  N    ]  app-text/jadetex-3.13-r2  0 kB                       

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 0 kB

!!! Problems have been detected with your world file
!!! Please run emaint --check world                 


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:                           
app-portage/portato


I think I have to delete something anywhere. Any ideas?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... , 18, 19, 20  Next
Page 19 of 20

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum